> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 사용량/계정 조회 API

> 사용량 또는 계정을 조회할 때 사용합니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/usages
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/usages:
    get:
      tags:
        - 사용량 API
      summary: 사용량/계정 조회 API
      description: 사용량 또는 계정을 조회할 때 사용합니다.
      operationId: v1_getRecordQuotas
      parameters:
        - name: subscriptionItemId
          in: query
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 사용량/계정 기록이 정상적으로 조회됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RecordForV1'
        '400':
          description: 사용량/계정 기록을 조회할 수 없는 상황
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Usage_recordErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Usage_recordErrorresponse'
components:
  schemas:
    RecordForV1:
      required:
        - record
        - via
      type: object
      properties:
        quota:
          type: integer
          format: int64
        record:
          type: integer
          format: int64
        influxDate:
          type: string
          format: date-time
        via:
          type: string
          enum:
            - MANAGER
            - V1
            - RENEW
            - CUSTOMER
            - SYSTEM
            - PUBLIC
        payload:
          type: string
    Usage_recordErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````